Subject: bug#13773: Can't save archive member because of make-directory

From: Glenn Morris <[email-masked]>
Date: Wed, 20 Feb 2013 19:38:39 -0500

Stefan Monnier wrote:

> The new "offer to make-directory upon save" is nice, but it breaks the
> buffer-save mechanism of zip archive members:

Bah. I guess we either provide some mechanism for modes to disable this
(yuck); or, as has already been suggested, move the make-directory part
after the run-hook-with-args-until-success part. That's semi-yuck (some
hooks might want the directory to exist; some, like archive mode, might
not), but I guess it is good enough.